> ## Documentation Index
> Fetch the complete documentation index at: https://alltick.co/apis/llms.txt
> Use this file to discover all available pages before exploring further.

# 股票产品信息

### 接口说明

该接口仅支持批量请求美股、港股、A股产品的部分基础信息。

```http theme={null}
POST /v1/stock-info
```

请求示例：`https://quote.alltick.co/quote-stock-b-api/v1/stock-info`

### 请求参数

| 参数 | 类型 | 必填 | 说明 |
| - | - | - | - |
| `X-API-Key` | string | 是 | 身份认证令牌 |
| `body` | string | 是 | 请求内容 |

### body 请求内容

```json theme={null}
{
  "trace": "edd5df80-df7f-4acf-8f67-68fd2f096426",
  "data": {
    "symbol_list": [{"code": "700.HK"}, {"code": "UNH.US"}]
  }
}
```

| 名称 | 类型 | 必选 | 说明 |
| - | - | - | - |
| `trace` | string | 是 | 请求追踪码 |
| `data` | object | 是 | 请求数据 |
| `symbol_list` | array | 是 | 产品列表 |
| `code` | string | 否 | 产品代码，大小写与产品列表保持一致 |

### 返回示例

```json theme={null}
{
  "ret": 200,
  "msg": "ok",
  "trace": "edd5df80-df7f-4acf-8f67-68fd2f096426",
  "data": {
    "static_info_list": [{
      "board": "HKEquity",
      "bps": "101.7577888985738336",
      "circulating_shares": "9267359712",
      "currency": "HKD",
      "dividend_yield": "3.4558141358352833",
      "eps": "13.7190213011686429",
      "eps_ttm": "18.0567016900844671",
      "exchange": "SEHK",
      "hk_shares": "9267359712",
      "lot_size": "100",
      "name_cn": "腾讯控股",
      "name_en": "TENCENT",
      "name_hk": "騰訊控股",
      "symbol": "700.HK",
      "total_shares": "9267359712"
    }]
  }
}
```

### 返回字段

| 字段 | 类型 | 说明 |
| - | - | - |
| `board` | string | 股票所属板块 |
| `bps` | string | 每股净资产 |
| `circulating_shares` | string | 流通股本 |
| `currency` | string | 交易币种 |
| `dividend_yield` | string | 股息 |
| `eps` | string | 每股盈利 |
| `eps_ttm` | string | 每股盈利（TTM） |
| `exchange` | string | 产品所属交易所 |
| `hk_shares` | string | 港股股本（仅港股） |
| `lot_size` | string | 每手股数 |
| `name_cn` | string | 中文简体产品名称 |
| `name_en` | string | 英文产品名称 |
| `name_hk` | string | 中文繁体产品名称 |
| `symbol` | string | 产品code |
| `total_shares` | string | 总股本 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.